> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an email channel

> Soft-deletes the channel and removes the verified sender from SendGrid. If no other channel uses the domain, the domain authentication is also removed.



## OpenAPI

````yaml /openapi.json delete /api/public/email-channel/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-channel/{id}:
    delete:
      tags:
        - email-channel
      summary: Delete an email channel
      description: >-
        Soft-deletes the channel and removes the verified sender from SendGrid.
        If no other channel uses the domain, the domain authentication is also
        removed.
      operationId: PublicEmailChannelController_delete
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true

````